summaryrefslogtreecommitdiffstats
path: root/graphics/SweetHome3D
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/SweetHome3D')
-rw-r--r--graphics/SweetHome3D/SweetHome3D.SlackBuild20
-rw-r--r--graphics/SweetHome3D/SweetHome3D.info14
-rw-r--r--graphics/SweetHome3D/SweetHome3DIcon.pngbin29519 -> 0 bytes
3 files changed, 18 insertions, 16 deletions
diff --git a/graphics/SweetHome3D/SweetHome3D.SlackBuild b/graphics/SweetHome3D/SweetHome3D.SlackBuild
index a20506cd17..67528cda05 100644
--- a/graphics/SweetHome3D/SweetHome3D.SlackBuild
+++ b/graphics/SweetHome3D/SweetHome3D.SlackBuild
@@ -4,6 +4,7 @@
# Copyright 2011 by Giovanne Castro, Campinas, Sao Paulo, Brazil <giovannefc@ig.com.br>
# Copyright 2012-2018 by Edward Koenig, Vancouver, Washington, USA <kingbeowulf@linuxgalaxy.org>
+# Copyright 2023-2024 Jeremy Hansen <jebrhansen+SBo@gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +27,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=SweetHome3D
-VERSION=${VERSION:-6.6}
+VERSION=${VERSION:-7.5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -39,9 +40,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -53,16 +51,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i586" ]; then
TARGET="x86"
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
TARGET="x86"
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
TARGET="x64"
- LIBDIRSUFFIX="64"
else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
+ echo "$ARCH is unsupported."
+ exit 1
fi
set -e
@@ -76,6 +71,13 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION-linux-$TARGET.tgz
ln -s $PRGNAM-$VERSION $PRGNAM
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Make ELF libraries/binaries executable to prevent sbopkglint failure
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs chmod +x 2> /dev/null || true
+
mkdir -p $PKG/usr/bin
install -D -m 755 $CWD/$PRGNAM $PKG/usr/bin/$PRGNAM
diff --git a/graphics/SweetHome3D/SweetHome3D.info b/graphics/SweetHome3D/SweetHome3D.info
index 968ac7f820..c117f985b4 100644
--- a/graphics/SweetHome3D/SweetHome3D.info
+++ b/graphics/SweetHome3D/SweetHome3D.info
@@ -1,10 +1,10 @@
PRGNAM="SweetHome3D"
-VERSION="6.6"
+VERSION="7.5"
HOMEPAGE="http://www.sweethome3d.com/"
-DOWNLOAD="http://sourceforge.net/projects/sweethome3d/files/SweetHome3D/SweetHome3D-6.6/SweetHome3D-6.6-linux-x86.tgz"
-MD5SUM="d66d9afbbcf2c8e8722e77c5090b1c4c"
-DOWNLOAD_x86_64="http://sourceforge.net/projects/sweethome3d/files/SweetHome3D/SweetHome3D-6.6/SweetHome3D-6.6-linux-x64.tgz"
-MD5SUM_x86_64="299be9d6ec9e6c2f939bfd88b200dc04"
+DOWNLOAD="http://sourceforge.net/projects/sweethome3d/files/SweetHome3D/SweetHome3D-7.5/SweetHome3D-7.5-linux-x86.tgz"
+MD5SUM="888b15546e5e763231e0db1a3b03fd90"
+DOWNLOAD_x86_64="http://sourceforge.net/projects/sweethome3d/files/SweetHome3D/SweetHome3D-7.5/SweetHome3D-7.5-linux-x64.tgz"
+MD5SUM_x86_64="33de77c4cd8a74b7fd5c10c82845f258"
REQUIRES="zulu-openjdk8"
-MAINTAINER="Edward W. Koenig"
-EMAIL="kingbeowulf@linuxgalaxy.org"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/graphics/SweetHome3D/SweetHome3DIcon.png b/graphics/SweetHome3D/SweetHome3DIcon.png
deleted file mode 100644
index 7cb7a0e4cb..0000000000
--- a/graphics/SweetHome3D/SweetHome3DIcon.png
+++ /dev/null
Binary files differ